paex_read_write_wire.c File Reference
Example programs demonstrating PortAudio usage

Tests full duplex blocking I/O by passing input straight to output. More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "portaudio.h"`

Go to the source code of this file.

## Macros

#define | SAMPLE_RATE (44100)
#define | FRAMES_PER_BUFFER (512)
#define | NUM_SECONDS (10)
#define | DITHER_FLAG (0)
#define | PA_SAMPLE_TYPE paFloat32
#define | SAMPLE_SIZE (4)
#define | SAMPLE_SILENCE (0.0f)
#define | PRINTF_S_FORMAT "%.8f"

## Functions

int | main (void)

## Detailed Description

Tests full duplex blocking I/O by passing input straight to output.

Author
  Bjorn Roche. XO Audio LLC for Z-Systems Engineering.
  based on code by: Phil Burk http://www.softsynth.com
  based on code by: Ross Bencina rossb.nosp@m.@aud.nosp@m.iomul.nosp@m.ch.c.nosp@m.om

Definition in file paex_read_write_wire.c.